Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Interface DialogProcessing

    public interface DialogProcessing

Реализация действий до отображения диалога и после

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `CONTRACT_ID` | Ключ для хранение id договора, который будет сохранён в кеше бота, как авторизованный договор
  `static java.lang.String` | `ERROR_MESSAGE` | Сообщение об ошибке
  `static java.lang.String` | `MACROS` | Макросы для элементов диалога с типом Текст.
  `static java.lang.String` | `NEXT_DIALOG_ID` | ID нового диалога, на который нужно перенаправить пользователя
  `static java.lang.String` | `REMOVE_CONTRACT` | Удалить привязку договора к чату
  `static java.lang.String` | `TEXT_MESSAGE` | Какое-либо текстовое сообщение

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `preDialog​(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData)` | Предобработка перед отображением диалога пользователю
  `void` | `processDialog​(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData, java.lang.String inputTextOfUser)` | Обработка сообщений от пользователя в момент, когда диалог отображён на экране.
  `java.lang.String` | `title()` |

- ## Field Details

  - ### CONTRACT_ID

    static final java.lang.String CONTRACT_ID
    Ключ для хранение id договора, который будет сохранён в кеше бота, как авторизованный договор
    See Also:
      Constant Field Values

  - ### ERROR_MESSAGE

    static final java.lang.String ERROR_MESSAGE
    Сообщение об ошибке
    See Also:
      Constant Field Values

  - ### TEXT_MESSAGE

    static final java.lang.String TEXT_MESSAGE
    Какое-либо текстовое сообщение
    See Also:
      Constant Field Values

  - ### REMOVE_CONTRACT

    static final java.lang.String REMOVE_CONTRACT
    Удалить привязку договора к чату
    See Also:
      Constant Field Values

  - ### NEXT_DIALOG_ID

    static final java.lang.String NEXT_DIALOG_ID
    ID нового диалога, на который нужно перенаправить пользователя
    See Also:
      Constant Field Values

  - ### MACROS

    static final java.lang.String MACROS
    Макросы для элементов диалога с типом Текст. Для добавления нужно создать JSONObject, в котором ключи должныть быть самими макросами, а значение - содержимое, которое нужно установить
    See Also:
      Constant Field Values

- ## Method Details

  - ### preDialog

    void preDialog​(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData) throws ru.bitel.bgbilling.common.BGException
    Предобработка перед отображением диалога пользователю
    Parameters:
      `botData` - пользовательские данные для определённого диалога
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### processDialog

    void processDialog​(ru.bitel.bgbilling.kernel.container.managed.ServerContext serverContext, org.json.JSONObject botData, java.lang.String inputTextOfUser) throws ru.bitel.bgbilling.common.BGException
    Обработка сообщений от пользователя в момент, когда диалог отображён на экране.
    Parameters:
      `botData` - пользовательские данные для определённого диалога
      `inputTextOfUser` - данные от пользователя
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### title

    java.lang.String title()
    Returns:
      читабельное название данного класса для понятного отображения в интерфейсе модуя